/* SCCS ID: @(#)dev.l	1.5 10/12/93 */
/* dev.l,v
/* Revision 1.2  1994/05/11 20:17:44  saunders
/* First fully functional version added to cvs addon environment.
/* */
/*************************************************************************/
/* FILE:      dev.l                                                      */
/* Author:    Claude Saunders                                            */
/* Purpose:   lex input file                                             */
/*            Lexicon Definition for:                                    */
/*              .cl files: files which define device classes             */
/*              .at files: files which define atomic device instances    */
/*              .co files: files which define composite device instances */
/*                                                                       */
/* Mods:      login mm/dd/yy: description                                */
/*************************************************************************/

%{
yyreset()
{
    line_num = 1;
    BEGIN INITIAL;
    return 0;
}
			  
%}

string [^ \n\t{}(),*/\\]+

%s COMMENT
%%

":"         { return(COLON); }
"type: "    { return(TYPE); }
"dir: "     { return(DIR); }
"args: "    { return(ARGS); }
"default: " { return(DEFAULT); }
"pv: "      { return(PV); }

"class"	    { return(CLASS); }
"inst"      { return(INST); }
"msg"       { return(MSG); }
"composite" { return(COMP); }

{string} 
         { 
           yylval.Str=(char *)malloc(strlen(yytext)+1);
           strcpy(yylval.Str,yytext);
           return(WORD);	
         }

"{"	{ return(O_BRACE); }
"}"	{ return(C_BRACE); }
"("	{ return(O_PAREN);	}
")"	{ return(C_PAREN);	}
","	{ return(COMMA);	}


^[ \t]*"/*".*"*/"[ \t]*\n { line_num++; }  /* single line comments only */

.	;
\n	{ line_num++; }

%%
